class AccountInquiryResponseModel {
  String mbmBkmstitle = "";
  String mbmBkmsnumber = "";
  String pcrCurrcode = "";
  String pcrCurrdesc = "";
  String pcrCurrshort = "";

  AccountInquiryResponseModel({
    this.mbmBkmstitle = "",
    this.mbmBkmsnumber = "",
    this.pcrCurrcode = "",
    this.pcrCurrdesc = "",
    this.pcrCurrshort = "",
  });

  static List<AccountInquiryResponseModel> fromList(List<dynamic> list) {
    return list.map((item) => AccountInquiryResponseModel.fromMap(AccountInquiryResponseModel.fromMap(item as Map<String, dynamic>).toMap())).toList();
  }

  Map<String, dynamic> toMap() {
    return {
      'mbmBkmstitle': this.mbmBkmstitle,
      'mbmBkmsnumber': this.mbmBkmsnumber,
      'pcrCurrcode': this.pcrCurrcode,
      'pcrCurrdesc': this.pcrCurrdesc,
      'pcrCurrshort': this.pcrCurrshort,
    };
  }

  factory AccountInquiryResponseModel.fromMap(Map<String, dynamic> map) {
    return AccountInquiryResponseModel(
      mbmBkmstitle: map['mbmBkmstitle'] ?? "",
      mbmBkmsnumber: map['mbmBkmsnumber'] ?? "",
      pcrCurrcode: map['pcrCurrcode'] ?? "",
      pcrCurrdesc: map['pcrCurrdesc'] ?? "",
      pcrCurrshort: map['pcrCurrshort'] ?? "",
    );
  }

  @override
  String toString() {
    return 'AccountInquiryResponseModel{mbmBkmstitle: $mbmBkmstitle, mbmBkmsnumber: $mbmBkmsnumber, pcrCurrcode: $pcrCurrcode, pcrCurrdesc: $pcrCurrdesc, pcrCurrshort: $pcrCurrshort}';
  }
}
